summaryrefslogtreecommitdiffstats
path: root/libraries/xulrunner
diff options
context:
space:
mode:
author David Somero <dsomero@hotmail.com>2010-05-13 00:59:20 +0200
committer Erik Hanson <erik@slackbuilds.org>2010-05-13 00:59:20 +0200
commitffc59aadfd4c80f66306f592e37c8308fe1af6c9 (patch)
tree7ef9eba789d63e92995e943be8eb22d4b9c6bda5 /libraries/xulrunner
parent973ced4a7a060bc49f75e8c46dc249f9a1550b4d (diff)
downloadslackbuilds-ffc59aadfd4c80f66306f592e37c8308fe1af6c9.tar.gz
slackbuilds-ffc59aadfd4c80f66306f592e37c8308fe1af6c9.tar.xz
libraries/xulrunner: Added to 13.0 repository
Diffstat (limited to 'libraries/xulrunner')
-rw-r--r--libraries/xulrunner/README21
-rw-r--r--libraries/xulrunner/slack-desc19
-rw-r--r--libraries/xulrunner/xulrunner.SlackBuild104
-rw-r--r--libraries/xulrunner/xulrunner.info10
4 files changed, 154 insertions, 0 deletions
diff --git a/libraries/xulrunner/README b/libraries/xulrunner/README
new file mode 100644
index 0000000000..8c21e3d8ab
--- /dev/null
+++ b/libraries/xulrunner/README
@@ -0,0 +1,21 @@
+The XULRunner project is a Mozilla runtime package that can be used
+to bootstrap XUL+XPCOM applications that are as rich as Thunderbird
+and Firefox. It will provide mechanisms for installing, upgrading,
+and uninstalling these applications. XULRunner will also provide
+libxul, a solution which allows the embedding of Mozilla technologies
+in other projects and products.
+
+Requirers jdk from /extra in Slackware.
+
+Note:
+If you have to install jdk you need to run ". /etc/profile" before
+trying to compile xurlrunner.
+
+Some of the optional dependences are:
+
+GConf
+ORBit2
+avahi
+gnome-vfs
+libbonobo
+libgnome
diff --git a/libraries/xulrunner/slack-desc b/libraries/xulrunner/slack-desc
new file mode 100644
index 0000000000..25d4bf15ff
--- /dev/null
+++ b/libraries/xulrunner/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+xulrunner: xulrunner (XULRunner provides the XUL Runtime environment)
+xulrunner:
+xulrunner: The XULRunner project is a Mozilla runtime package that can be used
+xulrunner: to bootstrap XUL+XPCOM applications that are as rich as Thunderbird
+xulrunner: and Firefox. It will provide mechanisms for installing, upgrading,
+xulrunner: and uninstalling these applications. XULRunner will also provide
+xulrunner: libxul, a solution which allows the embedding of Mozilla technologies
+xulrunner: in other projects and products.
+xulrunner:
+xulrunner: Homepage, http://developer.mozilla.org/en/XULRunner
+xulrunner:
diff --git a/libraries/xulrunner/xulrunner.SlackBuild b/libraries/xulrunner/xulrunner.SlackBuild
new file mode 100644
index 0000000000..ee1099c3ee
--- /dev/null
+++ b/libraries/xulrunner/xulrunner.SlackBuild
@@ -0,0 +1,104 @@
+#!/bin/sh
+
+# Slackware build script for xulrunner
+
+# Written by David Somero <dsomero@hotmail.com>
+# Derived from Slackware's Slackbuilds.
+#
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2010 David Somero (dsomero@hotmail.com) Athens, TN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+PRGNAM=xulrunner
+VERSION=${VERSION:-1.9.1.7}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf mozilla-1.9.1
+tar xvf $CWD/$PRGNAM-$VERSION.source.tar.bz2
+cd mozilla-1.9.1
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --enable-system-lcms \
+ --with-system-bz2 \
+ --enable-safe-browsing \
+ --enable-image-encoder=all \
+ --enable-application=xulrunner \
+ --disable-mailnews \
+ --disable-crashreporter \
+ --disable-installer \
+ --disable-updater \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE LEGAL README.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/xulrunner/xulrunner.info b/libraries/xulrunner/xulrunner.info
new file mode 100644
index 0000000000..1e8e990dc8
--- /dev/null
+++ b/libraries/xulrunner/xulrunner.info
@@ -0,0 +1,10 @@
+PRGNAM="xulrunner"
+VERSION="1.9.1.7"
+HOMEPAGE="https://developer.mozilla.org/en/Getting_started_with_XULRunner"
+DOWNLOAD="http://releases.mozilla.org/pub/mozilla.org/xulrunner/releases/1.9.1.7/source/xulrunner-1.9.1.7.source.tar.bz2"
+MD5SUM="82e6f568ddeaae52e85aa089277f5d14"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="David Somero"
+EMAIL="dsomero@hotmail.com"
+APPROVED="Erik Hanson"